:root {
  --timeout: 500ms;
  --list-item-max-height: 30px;
}

.fade-enter {
  max-height: 0;
  opacity: 0;
}

.fade-enter-active {
  max-height: var(--list-item-max-height);
  opacity: 1;
  transition: all var(--timeout);
}

.fade-exit {
  max-height: var(--list-item-max-height);
  opacity: 1;
}

.fade-exit-active {
  max-height: 0;
  opacity: 0;
  transition: all var(--timeout);
}
